import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRThermostatClusterAtomicRequestParams } from "./MTRThermostatClusterAtomicRequestParams.js";
import type { _MTRThermostatClusterAtomicResponseParams } from "./MTRThermostatClusterAtomicResponseParams.js";
import type { _MTRThermostatClusterClearWeeklyScheduleParams } from "./MTRThermostatClusterClearWeeklyScheduleParams.js";
import type { _MTRThermostatClusterGetWeeklyScheduleParams } from "./MTRThermostatClusterGetWeeklyScheduleParams.js";
import type { _MTRThermostatClusterGetWeeklyScheduleResponseParams } from "./MTRThermostatClusterGetWeeklyScheduleResponseParams.js";
import type { _MTRThermostatClusterSetActivePresetRequestParams } from "./MTRThermostatClusterSetActivePresetRequestParams.js";
import type { _MTRThermostatClusterSetActiveScheduleRequestParams } from "./MTRThermostatClusterSetActiveScheduleRequestParams.js";
import type { _MTRThermostatClusterSetWeeklyScheduleParams } from "./MTRThermostatClusterSetWeeklyScheduleParams.js";
import type { _MTRThermostatClusterSetpointRaiseLowerParams } from "./MTRThermostatClusterSetpointRaiseLowerParams.js";
import type { _MTRWriteParams } from "./MTRWriteParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterThermostat extends _MTRGenericCluster {
    static alloc(): _MTRClusterThermostat;
    static new(): _MTRClusterThermostat;
    init(): _MTRClusterThermostat;
    setpointRaiseLowerWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterSetpointRaiseLowerParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    setWeeklyScheduleWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterSetWeeklyScheduleParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    getWeeklyScheduleWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterGetWeeklyScheduleParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTRThermostatClusterGetWeeklyScheduleResponseParams, error: _NSError) => void) | null): void;
    clearWeeklyScheduleWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterClearWeeklyScheduleParams | null, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    clearWeeklyScheduleWithExpectedValues$expectedValueInterval$completion$(expectedValues: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    setActiveScheduleRequestWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterSetActiveScheduleRequestParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    setActivePresetRequestWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterSetActivePresetRequestParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    atomicRequestWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRThermostatClusterAtomicRequestParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTRThermostatClusterAtomicResponseParams, error: _NSError) => void) | null): void;
    readAttributeLocalTemperatureWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOutdoorTemperatureWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOccupancyWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAbsMinHeatSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAbsMaxHeatSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAbsMinCoolSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAbsMaxCoolSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributePICoolingDemandWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributePIHeatingDemandWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeHVACSystemTypeConfigurationWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeHVACSystemTypeConfigurationWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeHVACSystemTypeConfigurationWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeLocalTemperatureCalibrationWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeLocalTemperatureCalibrationWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeLocalTemperatureCalibrationWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeOccupiedCoolingSetpointWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeOccupiedCoolingSetpointWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeOccupiedCoolingSetpointWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeOccupiedHeatingSetpointWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeOccupiedHeatingSetpointWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeOccupiedHeatingSetpointWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeUnoccupiedCoolingSetpointWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeUnoccupiedCoolingSetpointWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeUnoccupiedCoolingSetpointWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeUnoccupiedHeatingSetpointWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeUnoccupiedHeatingSetpointWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeUnoccupiedHeatingSetpointWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeMinHeatSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeMinHeatSetpointLimitWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeMinHeatSetpointLimitWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeMaxHeatSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeMaxHeatSetpointLimitWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeMaxHeatSetpointLimitWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeMinCoolSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeMinCoolSetpointLimitWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeMinCoolSetpointLimitWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeMaxCoolSetpointLimitWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeMaxCoolSetpointLimitWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeMaxCoolSetpointLimitWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeMinSetpointDeadBandWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeMinSetpointDeadBandWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeMinSetpointDeadBandWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeRemoteSensingWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeRemoteSensingWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeRemoteSensingWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeControlSequenceOfOperationWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeControlSequenceOfOperationWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeControlSequenceOfOperationWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeSystemModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeSystemModeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeSystemModeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeThermostatRunningModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeStartOfWeekWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNumberOfWeeklyTransitionsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNumberOfDailyTransitionsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeTemperatureSetpointHoldWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeTemperatureSetpointHoldWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeTemperatureSetpointHoldWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeTemperatureSetpointHoldDurationWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeTemperatureSetpointHoldDurationWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeTemperatureSetpointHoldDurationWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeThermostatProgrammingOperationModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeThermostatProgrammingOperationModeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeThermostatProgrammingOperationModeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeThermostatRunningStateWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSetpointChangeSourceWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSetpointChangeAmountWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSetpointChangeSourceTimestampWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOccupiedSetbackWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeOccupiedSetbackWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeOccupiedSetbackWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeOccupiedSetbackMinWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeOccupiedSetbackMaxWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeUnoccupiedSetbackWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeUnoccupiedSetbackWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeUnoccupiedSetbackWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeUnoccupiedSetbackMinWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeUnoccupiedSetbackMaxWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeEmergencyHeatDeltaWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeEmergencyHeatDeltaWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeEmergencyHeatDeltaWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACTypeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACTypeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACTypeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACCapacityWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACCapacityWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACCapacityWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACRefrigerantTypeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACRefrigerantTypeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACRefrigerantTypeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACCompressorTypeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACCompressorTypeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACCompressorTypeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACErrorCodeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACErrorCodeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACErrorCodeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACLouverPositionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACLouverPositionWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACLouverPositionWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeACCoilTemperatureWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeACCapacityformatWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeACCapacityformatWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeACCapacityformatWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributePresetTypesWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeScheduleTypesWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNumberOfPresetsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNumberOfSchedulesWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNumberOfScheduleTransitionsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeNumberOfScheduleTransitionPerDayWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeActivePresetHandleWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeActiveScheduleHandleWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributePresetsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributePresetsWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributePresetsWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeSchedulesWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeSchedulesWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeSchedulesWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeSetpointHoldExpiryTimestampWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterThermostat | null;
    initWithDevice$endpoint$queue$(device: _MTRDevice, endpoint: number, queue: _NSObject): _MTRClusterThermostat | null;
    setpointRaiseLowerWithParams$expectedValues$expectedValueInterval$completionHandler$(params: _MTRThermostatClusterSetpointRaiseLowerParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completionHandler: (arg0: _NSError) => void): void;
    setWeeklyScheduleWithParams$expectedValues$expectedValueInterval$completionHandler$(params: _MTRThermostatClusterSetWeeklyScheduleParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completionHandler: (arg0: _NSError) => void): void;
    getWeeklyScheduleWithParams$expectedValues$expectedValueInterval$completionHandler$(params: _MTRThermostatClusterGetWeeklyScheduleParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completionHandler: ((data: _MTRThermostatClusterGetWeeklyScheduleResponseParams, error: _NSError) => void) | null): void;
    clearWeeklyScheduleWithParams$expectedValues$expectedValueInterval$completionHandler$(params: _MTRThermostatClusterClearWeeklyScheduleParams | null, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completionHandler: (arg0: _NSError) => void): void;
    clearWeeklyScheduleWithExpectedValues$expectedValueInterval$completionHandler$(expectedValues: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completionHandler: (arg0: _NSError) => void): void;
}
